<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::VBox Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1VBox.html">VBox</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classgg_1_1VBox-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::VBox Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Box_8hpp_source.html">Box.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::VBox:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1VBox.png" usemap="#gg::VBox_map" alt=""/>
  <map id="gg::VBox_map" name="gg::VBox_map">
<area href="classgg_1_1Box.html" alt="gg::Box" shape="rect" coords="0,112,98,136"/>
<area href="classgg_1_1SceneNode.html" alt="gg::SceneNode" shape="rect" coords="0,56,98,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7b8f819858479839c1b440fab7677a20"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1VBox.html#a7b8f819858479839c1b440fab7677a20">VBox</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes)</td></tr>
<tr class="separator:a7b8f819858479839c1b440fab7677a20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abab8706221eb1f44e886849d91231240"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1VBox.html#abab8706221eb1f44e886849d91231240">~VBox</a> () override=default</td></tr>
<tr class="separator:abab8706221eb1f44e886849d91231240"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1Box"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1Box')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1Box.html">gg::Box</a></td></tr>
<tr class="memitem:ac8d8d4980008f157dcb1383c7ce5366a inherit pub_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#ac8d8d4980008f157dcb1383c7ce5366a">Box</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;)</td></tr>
<tr class="separator:ac8d8d4980008f157dcb1383c7ce5366a inherit pub_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0bb2bb7a0fcaa6cdd6a17198a354d32 inherit pub_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#aa0bb2bb7a0fcaa6cdd6a17198a354d32">~Box</a> () override=default</td></tr>
<tr class="separator:aa0bb2bb7a0fcaa6cdd6a17198a354d32 inherit pub_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3e3865aa6696fa6a0d2605c0468cd4d inherit pub_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#ab3e3865aa6696fa6a0d2605c0468cd4d">SetSpacing</a> (float)</td></tr>
<tr class="separator:ab3e3865aa6696fa6a0d2605c0468cd4d inherit pub_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2dd0441ce5ee92584feea0458b3f300 inherit pub_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#ad2dd0441ce5ee92584feea0458b3f300">SetHAlignment</a> (const <a class="el" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a> &amp;)</td></tr>
<tr class="separator:ad2dd0441ce5ee92584feea0458b3f300 inherit pub_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51ab4d6d5a167a5cf2b47282c425987 inherit pub_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#aa51ab4d6d5a167a5cf2b47282c425987">SetVAlignment</a> (const <a class="el" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a> &amp;)</td></tr>
<tr class="separator:aa51ab4d6d5a167a5cf2b47282c425987 inherit pub_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a633bb990cb6ffb570132795b2f59d inherit pub_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#ae8a633bb990cb6ffb570132795b2f59d">SetMargins</a> (const struct <a class="el" href="structgg_1_1Margins.html">Margins</a> &amp;)</td></tr>
<tr class="separator:ae8a633bb990cb6ffb570132795b2f59d inherit pub_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1SceneNode"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1SceneNode')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td></tr>
<tr class="memitem:a85a355c9072099675bf4a8ca00dc0635 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a85a355c9072099675bf4a8ca00dc0635">SceneNode</a> (const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;attributes, const bool root=false)</td></tr>
<tr class="separator:a85a355c9072099675bf4a8ca00dc0635 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b386a4b1246cd13a553159420782f39 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">~SceneNode</a> () override</td></tr>
<tr class="separator:a2b386a4b1246cd13a553159420782f39 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46fbfc7cb2cd115ecc33a0001b5caa79 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a46fbfc7cb2cd115ecc33a0001b5caa79">SetName</a> (const std::string &amp;)</td></tr>
<tr class="separator:a46fbfc7cb2cd115ecc33a0001b5caa79 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92215060ea01f924ac43bdc2e02d8495 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a92215060ea01f924ac43bdc2e02d8495">GetName</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:a92215060ea01f924ac43bdc2e02d8495 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bfaf6ab0f3690bf75e1142fc6b574a9 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3bfaf6ab0f3690bf75e1142fc6b574a9">SetRoot</a> (bool)</td></tr>
<tr class="separator:a3bfaf6ab0f3690bf75e1142fc6b574a9 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a082408f997345f8d99a05a561425a0de inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a082408f997345f8d99a05a561425a0de">IsRoot</a> () const -&gt; const bool</td></tr>
<tr class="separator:a082408f997345f8d99a05a561425a0de inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade1c015b4ad1d134a6ac9b74ea67ac26 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ade1c015b4ad1d134a6ac9b74ea67ac26">SetParent</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:ade1c015b4ad1d134a6ac9b74ea67ac26 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0776302fef90cb2f0aabd1f3045c5dd7 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0776302fef90cb2f0aabd1f3045c5dd7">GetParent</a> () -&gt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *</td></tr>
<tr class="separator:a0776302fef90cb2f0aabd1f3045c5dd7 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb3579a1294b90d74ae0e9a0f5cc8de1 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#abb3579a1294b90d74ae0e9a0f5cc8de1">SetScene</a> (<a class="el" href="classgg_1_1Scene.html">Scene</a> *)</td></tr>
<tr class="separator:abb3579a1294b90d74ae0e9a0f5cc8de1 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8a9bb996c1610f0cf41274bb5e8864 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2a8a9bb996c1610f0cf41274bb5e8864">GetScene</a> () -&gt; <a class="el" href="classgg_1_1Scene.html">Scene</a> *</td></tr>
<tr class="separator:a2a8a9bb996c1610f0cf41274bb5e8864 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57cce9f483099d73b21dbfc6c58eafc2 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a57cce9f483099d73b21dbfc6c58eafc2">SetToggleGroup</a> ()</td></tr>
<tr class="separator:a57cce9f483099d73b21dbfc6c58eafc2 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fddc76f0a1f636a1d4e651c5ac7e647 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3fddc76f0a1f636a1d4e651c5ac7e647">SetID</a> (const std::string &amp;)</td></tr>
<tr class="separator:a3fddc76f0a1f636a1d4e651c5ac7e647 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbeb256248e14d3cca859cc769397752 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#adbeb256248e14d3cca859cc769397752">GetID</a> () const -&gt; const std::string &amp;</td></tr>
<tr class="separator:adbeb256248e14d3cca859cc769397752 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d26c1d9eca413929a7b46d1975ecca inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ab7d26c1d9eca413929a7b46d1975ecca">SetInsidePosition</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:ab7d26c1d9eca413929a7b46d1975ecca inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad20a4313079c8fc88db803db9742bb52 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ad20a4313079c8fc88db803db9742bb52">SetOutsidePosition</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:ad20a4313079c8fc88db803db9742bb52 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88a3c48db58215800a8d966716b1e66d inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a88a3c48db58215800a8d966716b1e66d">GetInsidePosition</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a88a3c48db58215800a8d966716b1e66d inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c816db57bb5c6a1e9e42887d07c98c inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a58c816db57bb5c6a1e9e42887d07c98c">GetOutsidePosition</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a58c816db57bb5c6a1e9e42887d07c98c inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6060165707afd72f5313548cb92ae81e inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a6060165707afd72f5313548cb92ae81e">SetInsideSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a6060165707afd72f5313548cb92ae81e inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f597bd0d3cdae19a4abe961cfb92a91 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3f597bd0d3cdae19a4abe961cfb92a91">SetOutsideSize</a> (const sf::Vector2f &amp;)</td></tr>
<tr class="separator:a3f597bd0d3cdae19a4abe961cfb92a91 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29308c092ca2dac7260d5b3ad3f58569 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a29308c092ca2dac7260d5b3ad3f58569">GetInsideSize</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a29308c092ca2dac7260d5b3ad3f58569 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a368dbe4cad813f71cd710174c69cb339 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a368dbe4cad813f71cd710174c69cb339">GetOutsideSize</a> () const -&gt; const sf::Vector2f &amp;</td></tr>
<tr class="separator:a368dbe4cad813f71cd710174c69cb339 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a815218ded6a13ff207bfa773027cd07a inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a815218ded6a13ff207bfa773027cd07a">AppendChild</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a815218ded6a13ff207bfa773027cd07a inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537d14acb0810c7615d8b24541044b29 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a537d14acb0810c7615d8b24541044b29">RemoveChild</a> (<a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *)</td></tr>
<tr class="separator:a537d14acb0810c7615d8b24541044b29 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4de32c7bf5edd96622c9170bdfe68902 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4de32c7bf5edd96622c9170bdfe68902">GetChildren</a> () -&gt; std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;</td></tr>
<tr class="separator:a4de32c7bf5edd96622c9170bdfe68902 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b7c84938aad84a8d2c2d63918be70a inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ae8b7c84938aad84a8d2c2d63918be70a">Update</a> ()</td></tr>
<tr class="separator:ae8b7c84938aad84a8d2c2d63918be70a inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe943f9c7fe571d70a1c82a007475e89 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#afe943f9c7fe571d70a1c82a007475e89">Render</a> (sf::RenderTarget &amp;, sf::RenderStates) const</td></tr>
<tr class="separator:afe943f9c7fe571d70a1c82a007475e89 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2db4f25adaf0c8dd50310ac9bfc0bac5 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2db4f25adaf0c8dd50310ac9bfc0bac5">IsDirty</a> () const -&gt; bool</td></tr>
<tr class="separator:a2db4f25adaf0c8dd50310ac9bfc0bac5 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a035abba4248c4efc94da258fd6d54686 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a035abba4248c4efc94da258fd6d54686">SetDirty</a> ()</td></tr>
<tr class="separator:a035abba4248c4efc94da258fd6d54686 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a380916fcbdc0afb4ae68a66227faec01 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a380916fcbdc0afb4ae68a66227faec01">ResetDirty</a> ()</td></tr>
<tr class="separator:a380916fcbdc0afb4ae68a66227faec01 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d7aa6562bcf0dbe1fe83d571c61f8fc inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">ContainsPoint</a> (const sf::Vector2f &amp;) -&gt; bool</td></tr>
<tr class="separator:a0d7aa6562bcf0dbe1fe83d571c61f8fc inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa192254c5c1050ad982dc36e9c170f inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a2fa192254c5c1050ad982dc36e9c170f">UpdateSize</a> ()</td></tr>
<tr class="separator:a2fa192254c5c1050ad982dc36e9c170f inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83278efad563d0e384b3d18a88f1eee7 inherit pub_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a83278efad563d0e384b3d18a88f1eee7">UpdateAlignment</a> ()</td></tr>
<tr class="separator:a83278efad563d0e384b3d18a88f1eee7 inherit pub_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aad454db313d6b418e81a590a08c44397"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1VBox.html#aad454db313d6b418e81a590a08c44397">Align</a> () override</td></tr>
<tr class="separator:aad454db313d6b418e81a590a08c44397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9957d5b722825a869efe585dff3f301b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1VBox.html#a9957d5b722825a869efe585dff3f301b">CalculateSize</a> () override</td></tr>
<tr class="separator:a9957d5b722825a869efe585dff3f301b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classgg_1_1Box"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1Box')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1Box.html">gg::Box</a></td></tr>
<tr class="memitem:aa922ac30a375d9bf759da5d3c302947b inherit pro_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#aa922ac30a375d9bf759da5d3c302947b">UpdateSize</a> () override</td></tr>
<tr class="separator:aa922ac30a375d9bf759da5d3c302947b inherit pro_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64e0d505df7a967deb758ded99722920 inherit pro_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a64e0d505df7a967deb758ded99722920">UpdateAlignment</a> () override</td></tr>
<tr class="separator:a64e0d505df7a967deb758ded99722920 inherit pro_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12f486950dec8ba2392cb7e84c248341 inherit pro_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a12f486950dec8ba2392cb7e84c248341">Align</a> ()=0</td></tr>
<tr class="separator:a12f486950dec8ba2392cb7e84c248341 inherit pro_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0376ad8f0a66a44a6456d878706c43 inherit pro_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">CalculateSize</a> ()=0</td></tr>
<tr class="separator:abf0376ad8f0a66a44a6456d878706c43 inherit pro_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f38d7040b594ba8b50a2eb68fca1489 inherit pro_methods_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a3f38d7040b594ba8b50a2eb68fca1489">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:a3f38d7040b594ba8b50a2eb68fca1489 inherit pro_methods_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classgg_1_1SceneNode"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1SceneNode')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td></tr>
<tr class="memitem:a4fc688d4d843ccad6534ca8c401f3e2e inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4fc688d4d843ccad6534ca8c401f3e2e">UpdateDesign</a> ()</td></tr>
<tr class="separator:a4fc688d4d843ccad6534ca8c401f3e2e inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a694c7abbe5a5d06bed9f7c4e5f5d2986 inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a694c7abbe5a5d06bed9f7c4e5f5d2986">UpdateStyle</a> ()</td></tr>
<tr class="separator:a694c7abbe5a5d06bed9f7c4e5f5d2986 inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61b417a1ca6289c8b2114c9f5035b3a9 inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a61b417a1ca6289c8b2114c9f5035b3a9">ApplyDesign</a> ()</td></tr>
<tr class="separator:a61b417a1ca6289c8b2114c9f5035b3a9 inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59ce959ea6f6445359a9e4c72da163ef inherit pro_methods_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a59ce959ea6f6445359a9e4c72da163ef">ApplyStyle</a> ()</td></tr>
<tr class="separator:a59ce959ea6f6445359a9e4c72da163ef inherit pro_methods_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1Box"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1Box')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1Box.html">gg::Box</a></td></tr>
<tr class="memitem:a2faf2b2c38e1fcad32864d6508341c1f inherit pro_attribs_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structgg_1_1Margins.html">Margins</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a2faf2b2c38e1fcad32864d6508341c1f">mMargins</a></td></tr>
<tr class="separator:a2faf2b2c38e1fcad32864d6508341c1f inherit pro_attribs_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b32fb3eca95ea16a4284a8ffb30e10a inherit pro_attribs_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a3b32fb3eca95ea16a4284a8ffb30e10a">mSpacing</a></td></tr>
<tr class="separator:a3b32fb3eca95ea16a4284a8ffb30e10a inherit pro_attribs_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a98627cbfea1e07d005e0990cfc8d4 inherit pro_attribs_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a8ae82840d9f1b628101cb24cf296c26d">HAlignment</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a31a98627cbfea1e07d005e0990cfc8d4">mHorizontalAlignment</a></td></tr>
<tr class="separator:a31a98627cbfea1e07d005e0990cfc8d4 inherit pro_attribs_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a845cb0d85489c9d806e98e010fdfec50 inherit pro_attribs_classgg_1_1Box"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a590f5e8566d42718b935361a0172b54d">VAlignment</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Box.html#a845cb0d85489c9d806e98e010fdfec50">mVerticalAlignment</a></td></tr>
<tr class="separator:a845cb0d85489c9d806e98e010fdfec50 inherit pro_attribs_classgg_1_1Box"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1SceneNode"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1SceneNode')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1SceneNode.html">gg::SceneNode</a></td></tr>
<tr class="memitem:a668a995dbb9bd8a6be5d433099ab6af1 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a668a995dbb9bd8a6be5d433099ab6af1">mName</a> = &quot;&quot;</td></tr>
<tr class="separator:a668a995dbb9bd8a6be5d433099ab6af1 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e5e7e8ac4efd83145012867ce1544a inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ad5e5e7e8ac4efd83145012867ce1544a">mId</a> = &quot;&quot;</td></tr>
<tr class="separator:ad5e5e7e8ac4efd83145012867ce1544a inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b8f27aaf7cb98202b7987ee8cdc5cd7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4b8f27aaf7cb98202b7987ee8cdc5cd7">mRoot</a></td></tr>
<tr class="separator:a4b8f27aaf7cb98202b7987ee8cdc5cd7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8d52d7d0aae7eccfe1243a6edaee8a7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Text&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#af8d52d7d0aae7eccfe1243a6edaee8a7">mText</a></td></tr>
<tr class="separator:af8d52d7d0aae7eccfe1243a6edaee8a7 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fd91acc7dfee4a78fa6735fbbbdb069 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a5fd91acc7dfee4a78fa6735fbbbdb069">mBackground</a></td></tr>
<tr class="separator:a5fd91acc7dfee4a78fa6735fbbbdb069 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77dbd39b4f780c37222bd987f416d6bd inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a77dbd39b4f780c37222bd987f416d6bd">mInsideArea</a></td></tr>
<tr class="separator:a77dbd39b4f780c37222bd987f416d6bd inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff8682d270c2b28289bda70793f9b41f inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::RectangleShape&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#aff8682d270c2b28289bda70793f9b41f">mOutsideArea</a></td></tr>
<tr class="separator:aff8682d270c2b28289bda70793f9b41f inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8186eaf3fb16c6945f4e858f1037f0e inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ac8186eaf3fb16c6945f4e858f1037f0e">mInsidePosition</a></td></tr>
<tr class="separator:ac8186eaf3fb16c6945f4e858f1037f0e inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c0129d2515fcd9ada82b4069c3956c4 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a6c0129d2515fcd9ada82b4069c3956c4">mOutsidePosition</a></td></tr>
<tr class="separator:a6c0129d2515fcd9ada82b4069c3956c4 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3105d8db96089c8444bc1fa394644398 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a3105d8db96089c8444bc1fa394644398">mInsideSize</a></td></tr>
<tr class="separator:a3105d8db96089c8444bc1fa394644398 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a352be9f386f6fe02548f0e0ade519b45 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a352be9f386f6fe02548f0e0ade519b45">mOutsideSize</a></td></tr>
<tr class="separator:a352be9f386f6fe02548f0e0ade519b45 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4592b1592949eea0ec9c9cf4a6afbe70 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a4592b1592949eea0ec9c9cf4a6afbe70">mPadding</a> = 3.0f</td></tr>
<tr class="separator:a4592b1592949eea0ec9c9cf4a6afbe70 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93387c53dd7f5bea4896718fe8f1d853 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1XMLDocument.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a93387c53dd7f5bea4896718fe8f1d853">mStyle</a></td></tr>
<tr class="separator:a93387c53dd7f5bea4896718fe8f1d853 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaef957115bc1c6ef4aea8b1782efe618 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#aaef957115bc1c6ef4aea8b1782efe618">mParent</a></td></tr>
<tr class="separator:aaef957115bc1c6ef4aea8b1782efe618 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e558e69099c74916257273cf7b9959 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classgg_1_1SceneNode.html">SceneNode</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#ab4e558e69099c74916257273cf7b9959">mChildren</a></td></tr>
<tr class="separator:ab4e558e69099c74916257273cf7b9959 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e2482547e62201c6538d96a3d2ea023 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classgg_1_1Scene.html">Scene</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a0e2482547e62201c6538d96a3d2ea023">mScene</a></td></tr>
<tr class="separator:a0e2482547e62201c6538d96a3d2ea023 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ad61ca009af2383068317d8999e5f0 inherit pro_attribs_classgg_1_1SceneNode"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneNode.html#a02ad61ca009af2383068317d8999e5f0">mToggleGroup</a> = &quot;&quot;</td></tr>
<tr class="separator:a02ad61ca009af2383068317d8999e5f0 inherit pro_attribs_classgg_1_1SceneNode"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7b8f819858479839c1b440fab7677a20" name="a7b8f819858479839c1b440fab7677a20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b8f819858479839c1b440fab7677a20">&#9670;&nbsp;</a></span>VBox()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::VBox::VBox </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classgg_1_1Attributes.html">Attributes</a> &amp;&#160;</td>
          <td class="paramname"><em>attributes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abab8706221eb1f44e886849d91231240" name="abab8706221eb1f44e886849d91231240"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abab8706221eb1f44e886849d91231240">&#9670;&nbsp;</a></span>~VBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::VBox::~VBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aad454db313d6b418e81a590a08c44397" name="aad454db313d6b418e81a590a08c44397"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad454db313d6b418e81a590a08c44397">&#9670;&nbsp;</a></span>Align()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::VBox::Align </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Box.html#a12f486950dec8ba2392cb7e84c248341">gg::Box</a>.</p>

</div>
</div>
<a id="a9957d5b722825a869efe585dff3f301b" name="a9957d5b722825a869efe585dff3f301b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9957d5b722825a869efe585dff3f301b">&#9670;&nbsp;</a></span>CalculateSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::VBox::CalculateSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">gg::Box</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gui/<a class="el" href="Box_8hpp_source.html">Box.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
